%global srcname pefile

Summary:        Python module for working with Portable Executable files
Name:           python-pefile
Version:        2024.8.26
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/erocarrera/pefile


Source0:        https://github.com/erocarrera/%{srcname}/releases/download/v%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
pefile is a multi-platform Python module to parse and work with Portable
Executable (PE) files. Most of the information contained in the PE file
headers is accessible, as well as all the sections' details and data.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
Requires:   python%{python3_pkgversion}-future

%description -n python%{python3_pkgversion}-%{srcname}
pefile is a multi-platform Python module to parse and work with Portable
Executable (PE) files. Most of the information contained in the PE file
headers is accessible, as well as all the sections' details and data.


%prep
%autosetup -n %{srcname}-%{version}
sed -i -e '/^#!\//, 1d' pefile.py

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README*
%{python3_sitelib}/*

%changelog
* Tue Oct 15 2024 Upgrade Robot <upbot@opencloudos.tech> - 2024.8.26-1
- Upgrade to version 2024.8.26

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2023.2.7-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2023.2.7-2
- Rebuilt for loongarch release

* Tue Sep 26 2023 Wang Guodong <gordonwwang@tencent.com> - 2023.2.7-1
- Upgrade to version 2023.2.7

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2022.5.30-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2022.5.30-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2022.5.30-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2022.5.30-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 26 2022 cunshunxia <cunshunxia@tencent.com> - 2022.5.30-1
- initial build
